Skip to main content
`Ctrl`+`K`

# PetscMallocPushMaximumUsage

Adds another event to collect the maximum memory usage over an event

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocPushMaximumUsage(int event)

Not Collective

## Input Parameter

- event - an event id; this is just for error checking

## Note

This only does anything if `PetscMemorySetGetMaximumUsage()`, `-memory_view`, or `-log_view_memory` have been used

## See Also

`PetscMallocDump()`, `PetscMallocView()`, `PetscMallocGetMaximumUsage()`, `PetscMemoryGetCurrentUsage()`, `PetscMalloc()`, `PetscFree()`, `PetscMallocPopMaximumUsage()`

## Level

developer

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages